
%
% This routine constructs the large matrices and vector.
%
% The element matrices and vectors are also dealt with.
%

for i = 1:length(elmat(:,1)) % for all internal elements
	GenerateElementLeftStiffnessMatrix; % Selem	

	AssemblyStepLeftStiffnessMatrix; % update S

	GenerateElementRightStiffnessMatrix;

	AssemblyStepRightStiffnessMatrix;

	GenerateElementVector; 

	AssemblyStepElementVector; 
end;

for i = 1:length(elmatbnd(:,1)); % for all boundary elements extension of mass matrix M and element vector f
	GenerateLeftBoundaryElementMassMatrix; % BMelem

	AssemblyStepLeftBoundaryMassMatrix; % update M
	
	GenerateRightBoundaryElementMassMatrix;

	AssemblyStepRightBoundaryMassMatrix;

	GenerateBoundaryElementVector; % bfelem
	
	AssemblyStepBoundaryElementVector; % update f
end;



ALeft   = S+M; % overall discretization matrix for displacements
ARight  = S_R+M_R;
