
%
% Generation of topology for linear triangles
%

% - internal elements
for j = 1:ny-1
	for i = 1:nx-1
		elmat(2*(j-1)*(nx-1)+i,1) = (j-1)*nx + i;
		elmat(2*(j-1)*(nx-1)+i,2) = (j-1)*nx + i + 1;
		elmat(2*(j-1)*(nx-1)+i,3) = j*nx + i + 1;

		elmat((2*j-1)*(nx-1)+i,1) = (j-1)*nx + i;
		elmat((2*j-1)*(nx-1)+i,2) = j*nx + i;
		elmat((2*j-1)*(nx-1)+i,3) = j*nx + i + 1;
	end;
end;

% - boundary elements
for i = 1:nx-1
	elmatbnd(i,1) = i;
	elmatbnd(i,2) = i+1;
end;

for i = 1:ny-1
	elmatbnd(nx-1+i,1) = i*nx;
	elmatbnd(nx-1+i,2) = (i+1)*nx;
end;

for i = 1:ny-1
	elmatbnd(nx+ny-2+i,1) = (i-1)*nx+1;
	elmatbnd(nx+ny-2+i,2) = i*nx+1;
end;

for i = 1:nx-1
	elmatbnd(nx+2*ny-3+i,1) = (ny-1)*nx+i;
	elmatbnd(nx+2*ny-3+i,2) = (ny-1)*nx+i+1;
end;