
% Matlab code for Finite Elements Solution of 

% du/dt + v grad u = D div grad u + f(x) - lambda u
%
% u(x,0) = u_0(x)
%
% D dc/dn = K_L (c - c_L) at boundary
%
% S is for the diffusion term
%
% M is the mass matrix for the reaction term
%
% Mtime is the mass matrix for the time derivative
%
% C is for the convection term
%
%
% To be done:  	see FEM2.m
%
% This routine FredPost is the postprocessing step.
%
close all
figure;
for i = 1:niter
	trisurf(elmat,x,y,U_hulp(:,i))
	pause(0.1)
end
